2 years, 10 months ago

Tonight, MuscleNerd of the dev team has tweeted out that Redsn0w 0.9.9 b9 has been released to fix some issues with iOS 5.0.1, namely compatibility. Now you will no longer have to point Redsn0w at an iOS 5.0 IPSW when jailbreaking on iOS 5.0.1. Note that this is still a tethered jailbreak, and that the update is just for minor bug fixes and feature additions. MuscleNerd still recommends staying away from iOS 5.0.1, but this update should make it easier on those who have already updated. There are also several new features in this version, such as an update notifier. The full list of new changes:

  • native support for 5.0.1 (no need to point redsn0w at 5.0 IPSW or use command-line args).  Support automatically extends to all of redsn0w’s various functions: “Jailbreak”, “Just boot”, “Fetch blobs”, “Stitch blobs”, “Recovery Fix”
  • iBooks fixed in 5.0 and 5.0.1.  This is a targeted fix that doesn’t remove entire sandbox mechanism.  5.x users already using redsn0w “Just Boot” can just use the new version without redoing entire jailbreak again
  • 3GS old-bootrom owners can now create custom IPSWs without blobs
  • ultrasn0w compatability update (i.e. same baseband requirements) for 5.0.1 will be available on Cydia Monday
  • support for newer 8GB iPhone4 (which until now had problems with “Fetch blobs”).  Thanks to @JKjeepnJeff for loaning us one of these newer i4 units for testing!
  • allows Windows users (not just OS X users) to use the “Custom” button to create IPSWs without baseband updates.  (Update: please wait for 0.9.9b9b for this!)
  • accommodates APTickets in 5.x (until next Apple countermove).  APTickets are crypto-verified before submitting to Cydia, just like the main blobs.  Cydia server support for sending back the APTickets is upcoming.  For now, use stitched IPSWs for 5.x.  Due to APTickets, stitched 5.x IPSWs now require user to start in “Pwned DFU” mode
  • Support added for stitching 4.x blobs to iPad2-GSM IPSWs.  Similar to @notcom’s TinyCFW but doesn’t require lots of RAM or a TSS-assisted restore. Won’t work for iPad2 5.x blobs (or iPhone4S at all) until a bootrom-level exploit is out
  • top line now shows whether (and where) a redsn0w update is available, or if the version being run is the latest.  Uses DNS TXT record to alleviate any concerns about snooping
  • no 5.1 beta support at this time (major apps like Cydia are not yet compatible)
  • @pod2g has been doing a great job porting his 5.x untether…check his blog for updates!
  • Owners of newer 3GS iPhones must not flash the iPad baseband.  The iPad baseband will not work on 3GS iPhones built later than 2011 week 35.  You have a week 35 or later device if your serial # starts with xx135.
The download of the new version can be found on our download page.



  • siris

    can’t reboot via just boot using this build… gave me an error

    • siris

      im on 5.0.1 jailbroken with 0.9.9 b8 … boot tethered using 5.0 worked perfectly.. but 0.9.9 b9 failed to boot (using 5.0.1)

      • casperofficial

        @siris I have just used it, did you remember to go to select IPSW before the just boot?

        • EddieLevit

          @casperofficial@siris casperofficial, I have the same problem as mentioned by siris. When I select the 9A405 ipsw, redsnow 0.0.9 b9 cannot identify it, so I simply can’t even jailbreak my 4th gen. Ipod Touch right now, help?

        • casperofficial

          @EddieLevit @siris have you updated to the redsn0w b9b?

        • EddieLevit

          @casperofficial@EddieLevit@siris Yes, I have.

    • Etiiiennee

      @siris

      /! Jailbreak all iDevice /!

      —————————–——

      Follow this tuto for the jailbreak IOS 5.0 and 5.0.1

      —> http://tinyurl.com/cc4qxvj <—

  • couragexcrew

    Is it possible to unlock an Iphone 4 with IOS 5.0.1 and firmware 4.11.08 with this Redsn0w update now?

    • casperofficial

      @couragexcrew yes it is that is the firmware I’m using just remember to reselect ipsw when you just boot

      • couragexcrew

        @casperofficial so after I jailbreak with the Redsn0w 0.9.9 b9 i should be able to unlock it with Cydia apps like ultrasn0w?

        • casperofficial

          @couragexcrew sorry I misunderstood I wouldn’t know that as mine is unlocked by apple

  • GrsKtl

    it stinks where is untethered

  • couragexcrew

    so when I use ipsw 5.0.1 9a405 it gives me a build error when I try and jailbreak using this new version of redsn0w.

  • theagos

    is it untethered?

    • Arbeni90x

      is it hard 2 read? @theagos

      • RaulLlano

        @Arbeni90x @theagos LMAO XD bro I laughed so hard when you said that

        • Etiiiennee

          @RaulLlano@Arbeni90x@theagos

          /! Jailbreak all iDevice /!

          —————————–——

          Follow this tuto for the jailbreak IOS 5.0 and 5.0.1

          —> http://tinyurl.com/cc4qxvj <—

  • nifty

    There is NO untethered yet, as it says. They are doing the final things for untethered JB. But, they don’t want to release it until 5.1.0 comes out, preventing Apple from closing the JB loophole for that software. Quit the bitching and just be patient. These guys don’t get paid to do this stuff.

    • googleplex

      @nifty I agree. Some people can be so entitled when they contribute nothing.

  • xXTroupeXx

    When i click on the link and press the pc download for 0.9.9b9 it tells me it can no longer find the page i requested… Is there another website from which i can download 9.9b9

  • JorgePineda

    Guys if they dont want to release the jailbreak to us then we will just wait! but if i make a program that makes the ipod touch 3-4 iPhone 3gs-4-4s ipad 1-2 I would and release it to you guys! like seriously would you guys like that? but first i got to learn how make a jailbreak program Program name: Win0wBr3ak

    • EmmanuelOregel

      @JorgePineda

      really yo

    • Etiiiennee

      @JorgePineda

      /! Jailbreak all iDevice /!

      —————————–——

      Follow this tuto for the jailbreak IOS 5.0 and 5.0.1

      —> http://tinyurl.com/cc4qxvj <—

  • JianHuiTan

    the download link to google is not working, “page requested cannot be found”. pls update link!

  • gracefulali07

    download redsnow from here :) and also jailbreak tutorial

    100% working

    http://expressreader.blogspot.com/2011/12/download-redsn0w-099b8-to-jailbreak-501.html

  • eduarditomx

    Hey My ipod has 5.0.1 and I used the 5.0 ipsw to jailbreak it, also when I run just boot I usually select the ipsw and after I do that
    . mu question is can I just start using the new redsnow and select the 5.0.1 ipsw?

  • eduarditomx

    Hey My ipod has 5.0.1 and I used the 5.0 ipsw to jailbreak it, also when I run just boot I usually select the ipsw and after I do that
    . mu question is can I just start using the new redsnow and select the 5.0.1 ipsw?

  • Etiiiennee

    /! Jailbreak all iDevice /!

    —————————–——

    Follow this tuto for the jailbreak IOS 5.0 and 5.0.1

    —> http://tinyurl.com/cc4qxvj <—

  • Kamran

    Will work if the serial number: 889263K ..? iPhone 3Gs